/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { DefinitionBaseDescription } from "./DefinitionBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var HeaderDescription = /** @class */ (function (_super) {
    tslib_1.__extends(HeaderDescription, _super);
    function HeaderDescription() {
        var _this = _super.call(this) || this;
        _this.bw = null;
        _this.bu = null;
        _this.bx = null;
        _this.bv = null;
        _this.bn = 0;
        _this.bp = 0;
        _this.bo = 0;
        _this.bm = 0;
        return _this;
    }
    HeaderDescription.prototype.get_type = function () {
        return "Header";
    };
    Object.defineProperty(HeaderDescription.prototype, "sortIndicatorColor", {
        get: function () {
            return this.bw;
        },
        set: function (a) {
            this.bw = a;
            this.e("SortIndicatorColor");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HeaderDescription.prototype, "actualSortIndicatorColor", {
        get: function () {
            return this.bu;
        },
        set: function (a) {
            this.bu = a;
            this.e("ActualSortIndicatorColor");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HeaderDescription.prototype, "sortIndicatorStyle", {
        get: function () {
            return this.bx;
        },
        set: function (a) {
            this.bx = a;
            this.e("SortIndicatorStyle");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HeaderDescription.prototype, "actualSortIndicatorStyle", {
        get: function () {
            return this.bv;
        },
        set: function (a) {
            this.bv = a;
            this.e("ActualSortIndicatorStyle");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HeaderDescription.prototype, "paddingLeft", {
        get: function () {
            return this.bn;
        },
        set: function (a) {
            this.bn = a;
            this.e("PaddingLeft");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HeaderDescription.prototype, "paddingTop", {
        get: function () {
            return this.bp;
        },
        set: function (a) {
            this.bp = a;
            this.e("PaddingTop");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HeaderDescription.prototype, "paddingRight", {
        get: function () {
            return this.bo;
        },
        set: function (a) {
            this.bo = a;
            this.e("PaddingRight");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HeaderDescription.prototype, "paddingBottom", {
        get: function () {
            return this.bm;
        },
        set: function (a) {
            this.bm = a;
            this.e("PaddingBottom");
        },
        enumerable: true,
        configurable: true
    });
    HeaderDescription.$t = markType(HeaderDescription, 'HeaderDescription', DefinitionBaseDescription.$);
    return HeaderDescription;
}(DefinitionBaseDescription));
export { HeaderDescription };
